package com.lantone.qc.kernel.web.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.xml.ws.Response;
import java.util.Map;

/**
 * @ClassName : QCController
 * @Description : 质控总入口
 * @Author : 楼辉荣
 * @Date: 2020-03-03 19:57
 */
@Api(value = "质控服务接口", tags = { "质控服务接口" })
@RestController
@RequestMapping(value = "analyse")
public class QCController {
    @Autowired
    private QcRuleFacade qcRuleFacade;


    @ApiOperation(value = "质控外部接口，需要token信息", notes = "")
    @PostMapping("rec")
    @Security
    public Response<Map<String, Object>> extract(@RequestBody QueryVo queryVo) {


        Rule rules = new Rule();
        Response response = qcRuleFacade.parseDocu(queryVo, rules);

        return response;
    }


    @ApiOperation(value = "质控内部接口，不需要token信息", notes = "")
    @PostMapping("recInner")
    public Response<Map<String, Object>> extractInner(@RequestBody QueryVo queryVo) {

        Rule rules = new Rule();
        Response response = qcRuleFacade.parseDocu(queryVo, rules);

        return response;
    }
}